package com.arms.egovframework.javaservice.esframework.esquery.mustnot;

import org.opensearch.index.query.AbstractQueryBuilder;
import org.opensearch.index.query.ExistsQueryBuilder;
import org.opensearch.index.query.QueryBuilders;

public class ExistsQueryMustNot extends MustNot<ExistsQueryBuilder> {

	private ExistsQueryBuilder existsQueryBuilder;

	public ExistsQueryMustNot(String name){
		if(name!=null){
			this.existsQueryBuilder = QueryBuilders.existsQuery(name);
		}
	}

	@Override
	public AbstractQueryBuilder<ExistsQueryBuilder> abstractQueryBuilder() {
		return existsQueryBuilder;
	}
}
